# __gnu_debug::After_nth_from< Iterator > Class Template Reference

`#include <safe_sequence.h>`

Collaboration diagram for __gnu_debug::After_nth_from< Iterator >:

[legend]
List of all members.

## Detailed Description

### template<typename Iterator>
class __gnu_debug::After_nth_from< Iterator >

A function object that returns true when the given random access iterator is at least `n` steps away from the given iterator.

Definition at line 62 of file safe_sequence.h.

The documentation for this class was generated from the following file:

- safe_sequence.h